Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005548 [DCSS] Implementables minor N/A 2012-04-09 23:49 2014-03-25 19:55
Reporter galehar View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.11 ancient branch
Summary 0005548: nerf cloud spells
Description Changes to freezing cloud and poisonous cloud to limit their usability out of LOS:

* They spread less out of LOS. No need to compensate by spreading more in LOS, you just end up with a smaller cloud. Each cell out of LOS count as 2.
* The clouds should dissipate faster when out of LOS. Maybe 3 or 4 times faster.

Those numbers are just a starting point, we might want to tweak them after testing.

To prevent players from protecting themselves from hostile clouds by casting poisonous cloud on themselves, monsters which breath clouds should blow existing clouds away before placing their own clouds.

This "move clouds" ability should be implemented separately so we can reuse it for a wind spell to give to elves and spriggans who are very vulnerable to clouds.
Additional Information
Tags No tags attached.
Attached Files ? file icon clouds_outside_LOS_dissipate_fast.patch [^] (678 bytes) 2013-08-30 01:49 [Show Content]
? file icon dont_place_cloud_outside_LOS.patch [^] (532 bytes) 2013-09-01 19:33 [Show Content]
? file icon dont_place_cloud_outside_LOS2.patch [^] (541 bytes) 2013-09-01 19:47 [Show Content]
? file icon 0001-Decay-unseen-clouds-faster.patch [^] (1,376 bytes) 2013-12-15 09:32 [Show Content]

- Relationships
related to 0005463resolvedgalehar Monsters are way too bold rushing into poison clouds 
related to 0007092closedwheals Confirmation when no targets can be hit is more annoying than useful with cloud spells 

-  Notes
(0017693)
Eronarn (updater)
2012-04-10 01:08

Two possible move clouds spells:

1) Wind Ward. Protect a target with a whirling 'halo' of air which has two effects: protection from small projectiles (arrows, bolts, stones, etc.) and a 'buffer' zone against hostile clouds. If you try to walk through clouds with it up, it should 'bump' the clouds out of the way.

2) Gust. Choose a target (monsters aim at player). All visible clouds move in that direction, starting from the closest ones, and are slightly dissipated. Movement preference should be: move cloud to a square in that direction, move cloud to a square the same distance, leave cloud in the same square (so, no moving a cloud away from the direction). Clouds that 'hit walls' should dissipate more; clouds that hit other clouds should 'bump' them. This process should be semi-randomized to make it more interesting-looking, and repeated based on power (say, 3 iterations for low level casters).

A more formal definition of 'bump': a cloud won't try to move into another cloud until it's forced. Dissipate the arriving cloud. If it has time left, dissipate the arrived-at cloud. (However, neither cloud dissipates if they are the same kind of cloud.) There are two easy cases to handle, but if both clouds have time left after dissipation, the arriving cloud takes the arrived-at cloud's position. The arrived-at cloud can then only: 1) move to an empty square not adjacent to the arriving cloud's original position 2) move to a clouded square adjacent to the arriving cloud's original position and start a new bump as a new arriving cloud 3) be removed if 1) and 2) are both impossible.
(0017694)
galehar (administrator)
2012-04-10 01:29

I think the bump system would bring a lot of complexity while being barely noticeable. We should start with a simple movement with a slight randomisation. A chance for dissipation or reduced duration makes sense too.
(0017695)
minmay (reporter)
2012-04-10 02:21

I'd rather player-created clouds disappear immediately when they leave LOS (and can't be created out of LOS at all) - this is simpler and completely eliminates the problem of using cloud spells to attack monsters out of LOS.

Not sure what to do about forest fires.
(0017699)
ion_frigate (reporter)
2012-04-10 05:21

Would it be terribly complex to allow more than one cloud on a square? It's actually more realistic for most clouds, since one can assume that the partial pressure of poisonous/mephitic/miasma/mutagenic clouds is pretty low compared to atmospheric pressure, given that monsters and players don't suffocate to death upon entering them. The only ones that don't make sense coexisting are fire/steam and freezing vapors, but those could easily be made to annihilate each other.

Also, I think (possibly imperfect) cloud protection would be a great addition to Deflect Missiles, and would make it a more obvious step up from Repel Missiles. Currently, both spells are mostly superseded by having a good EV: making DM protect against something that EV doesn't protect against would be a nice distinction, and make it more appealing to a lot of characters.
(0017709)
Eronarn (updater)
2012-04-11 01:45

Yes, it would be complex - for example, what about the order the clouds hit in? Or how to display that to the player? I looked into it for swarms and even making clouds and swarms coexist was pointless.
(0023934)
Naruni (reporter)
2013-08-30 01:49

Patch added, clouds_outside_LOS_dissipate_fast.patch, working with master branch a27dace9. I set the dissipate rate to 6, a little faster than fire over water or rain over lava. Feel free to change to crawl's needs.

Glass / translucent as a LOS blocker I dont know if it should accelerate the cloud's dissipation or even if you can cast a cloud into a glass blocked room. You guys figure that out.
(0023936)
KiloByte (manager)
2013-08-30 02:03

This patch singles out player clouds, which is wrong.

I also fail to see the point here, especially for eg. forest fires.
(0023937)
KiloByte (manager)
2013-08-30 02:05

Placing freezng cloud, etc, out of LOS causes problems though, so that point is valid.
(0023955)
KiloByte (manager)
2013-09-01 01:52

Another thing is that clouds being less effective but still working simply means you need to recast them more. This is never too tedious as not many monsters can survive more than a few turns inside a damaging cloud. So this part won't help at all, and actually makes things worse (besides even unobvious mechanics). So I'm afraid this is not the way to go.

On the other hand, disallowing Freezing and Poisonous Cloud to spill out of LOS would be nice, and perfectly consistent with beam spells.
(0023956)
Naruni (reporter)
2013-09-01 05:06

What about monster clouds? Should they not expand outside of the caster's LOS?
(0023957)
Naruni (reporter)
2013-09-01 19:33
edited on: 2013-09-01 19:44

New patch added, this one does not allow function place_cloud to set the cloud down if the target cell is outside LOS. This results in wasted clouds if the caster does not consider this mechanic. If we wanted the target cell to be recalculated when it is outside of LOS in order to not waste cloud, that could be done.

Filename: dont_place_cloud_outside_LOS.patch
Master branch 7a74111b.

Edit: after thinking about that for a second, there should probably be a check to ensure the cloud was sourced from an actor. Updated the patch file.

(0023958)
galehar (administrator)
2013-09-01 21:09

That sounds good. Wasting some cloud potential is OK IMO. If we try to prevent it, then it becomes complicated to avoid info leak about whether walls outside of LOS are known to the player or not and should we warn him that he's about to freeze his ass?
(0023963)
Naruni (reporter)
2013-09-02 06:38

Wrote a patch for avoiding leak info, I think these should be a combined patch?
https://crawl.develz.org/mantis/view.php?id=5138 [^]
(0024735)
brendan (developer)
2013-12-15 09:33

I'm a bit late to the party. The patch I just uploaded will cause dangerous clouds to decay faster if their source is unable to see them. It treats players and monsters symmetrically.
(0024739)
KiloByte (manager)
2013-12-15 21:05

Well, but what would be the benefit of applying this patch? I see downsides but not a single upside.

The downsides include:
* gameable
* so the best way to stop a forest fire is to find the person who started the fire and blindfold them?

Unlike summons, I can't see a case where clouds out of LOS would be abusable but the same cloud where you just walk backwards would be not.

Thus, I'd say, let's just close this implementable.
(0024741)
Galefury (updater)
2013-12-16 00:09
edited on: 2013-12-16 00:10

Well, things out of LOS cant hurt you, things inside can. That's why a cloud out of LOS is more abusable than the same cloud inside LOS. Now that you at least cant create clouds out of LOS anymore this may no longer be a problem worth caring about.

(0025668)
MarvinPA (developer)
2014-03-21 10:32

Clouds now decay faster outside of LOS.

- Issue History
Date Modified Username Field Change
2012-04-09 23:49 galehar New Issue
2012-04-10 01:08 Eronarn Note Added: 0017693
2012-04-10 01:29 galehar Note Added: 0017694
2012-04-10 02:21 minmay Note Added: 0017695
2012-04-10 05:21 ion_frigate Note Added: 0017699
2012-04-11 01:45 Eronarn Note Added: 0017709
2013-03-15 13:38 mumra Issue Monitored: mumra
2013-05-26 09:08 mumra Relationship added related to 0005463
2013-05-27 21:40 galehar Relationship added related to 0007092
2013-08-30 01:49 Naruni Note Added: 0023934
2013-08-30 01:49 Naruni File Added: clouds_outside_LOS_dissipate_fast.patch
2013-08-30 02:03 KiloByte Note Added: 0023936
2013-08-30 02:05 KiloByte Note Added: 0023937
2013-09-01 01:52 KiloByte Note Added: 0023955
2013-09-01 05:06 Naruni Note Added: 0023956
2013-09-01 19:33 Naruni Note Added: 0023957
2013-09-01 19:33 Naruni File Added: dont_place_cloud_outside_LOS.patch
2013-09-01 19:44 Naruni Note Edited: 0023957
2013-09-01 19:47 Naruni File Added: dont_place_cloud_outside_LOS2.patch
2013-09-01 21:09 galehar Note Added: 0023958
2013-09-02 06:38 Naruni Note Added: 0023963
2013-09-02 11:02 Naruni Issue Monitored: Naruni
2013-12-15 09:32 brendan File Added: 0001-Decay-unseen-clouds-faster.patch
2013-12-15 09:33 brendan Note Added: 0024735
2013-12-15 21:05 KiloByte Note Added: 0024739
2013-12-16 00:09 Galefury Note Added: 0024741
2013-12-16 00:10 Galefury Note Edited: 0024741
2014-03-21 10:32 MarvinPA Note Added: 0025668
2014-03-21 10:32 MarvinPA Status new => resolved
2014-03-21 10:32 MarvinPA Fixed in Branch => 0.14 development branch
2014-03-21 10:32 MarvinPA Resolution open => done
2014-03-21 10:32 MarvinPA Assigned To => MarvinPA
2014-03-25 19:55 galehar Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker